package com.iamberry.wechat.core.entity.task;

import java.io.Serializable;
import java.util.Date;

/**
 * @company	深圳爱贝源科技有限公司
 * @website www.iamberry.com
 * @author 	献
 * @tel		18271840547
 * @date	2016年9月20日
 * @explain	完成任务被奖励的用户
 */
public class WechatTaskLogs implements Serializable {

	private static final long serialVersionUID = -6558572209739791829L;

	private Integer logsId;							// ID
	
	private Integer logsTaskId;						// task ID
	
	private String logsUserOpenId;					// 用户openID
	
	private Integer logsProductType;				// 产品返利类型
	
	private Integer logsNum;						// 数量
	
	private Integer logsMoney;						// 奖励金额
	
	private Date logsStartDate;						// 开始时间
	
	private Date logsEndDate;						// 结束时间
	
	private String logsDesc;						// 简介
	
	private Date logsCreateTime;					// 更新时间

	public Integer getLogsId() {
		return logsId;
	}

	public void setLogsId(Integer logsId) {
		this.logsId = logsId;
	}

	public Integer getLogsTaskId() {
		return logsTaskId;
	}

	public void setLogsTaskId(Integer logsTaskId) {
		this.logsTaskId = logsTaskId;
	}

	public String getLogsUserOpenId() {
		return logsUserOpenId;
	}

	public void setLogsUserOpenId(String logsUserOpenId) {
		this.logsUserOpenId = logsUserOpenId;
	}

	public Integer getLogsProductType() {
		return logsProductType;
	}

	public void setLogsProductType(Integer logsProductType) {
		this.logsProductType = logsProductType;
	}

	public Integer getLogsNum() {
		return logsNum;
	}

	public void setLogsNum(Integer logsNum) {
		this.logsNum = logsNum;
	}

	public Integer getLogsMoney() {
		return logsMoney;
	}

	public void setLogsMoney(Integer logsMoney) {
		this.logsMoney = logsMoney;
	}

	public Date getLogsStartDate() {
		return logsStartDate;
	}

	public void setLogsStartDate(Date logsStartDate) {
		this.logsStartDate = logsStartDate;
	}

	public Date getLogsEndDate() {
		return logsEndDate;
	}

	public void setLogsEndDate(Date logsEndDate) {
		this.logsEndDate = logsEndDate;
	}

	public String getLogsDesc() {
		return logsDesc;
	}

	public void setLogsDesc(String logsDesc) {
		this.logsDesc = logsDesc;
	}

	public Date getLogsCreateTime() {
		return logsCreateTime;
	}

	public void setLogsCreateTime(Date logsCreateTime) {
		this.logsCreateTime = logsCreateTime;
	}
}
